aboutsummaryrefslogtreecommitdiff
path: root/bin/build-tiny85.sh
diff options
context:
space:
mode:
authorSelene ToyKeeper2018-11-03 16:00:15 -0600
committerSelene ToyKeeper2018-11-03 16:00:15 -0600
commitdcc52fdfc95e9b2621b46a18250051234891f563 (patch)
tree97bda886069f66f91d2b7c60fb7616d3a9efb4de /bin/build-tiny85.sh
parentapplied thermal target bugfix from Anduril (diff)
downloadanduril-dcc52fdfc95e9b2621b46a18250051234891f563.tar.gz
anduril-dcc52fdfc95e9b2621b46a18250051234891f563.tar.bz2
anduril-dcc52fdfc95e9b2621b46a18250051234891f563.zip
Renamed flash/build scripts to better indicate MCU type.
Diffstat (limited to 'bin/build-tiny85.sh')
-rwxr-xr-xbin/build-tiny85.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/bin/build-tiny85.sh b/bin/build-tiny85.sh
new file mode 100755
index 0000000..f0cf1b9
--- /dev/null
+++ b/bin/build-tiny85.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Instead of using a Makefile, since most of the firmwares here build in the
+# same exact way, here's a script to do the same thing
+
+export PROGRAM=$1 ; shift
+export ATTINY=85
+export MCU=attiny$ATTINY
+export CC=avr-gcc
+export OBJCOPY=avr-objcopy
+export CFLAGS="-Wall -g -Os -mmcu=$MCU -c -std=gnu99 -DATTINY=$ATTINY -I.. -I../.. -I../../.. -fshort-enums"
+export OFLAGS="-Wall -g -Os -mmcu=$MCU"
+export LDFLAGS=
+export OBJCOPYFLAGS='--set-section-flags=.eeprom=alloc,load --change-section-lma .eeprom=0 --no-change-warnings -O ihex'
+export OBJS=$PROGRAM.o
+
+for arg in "$*" ; do
+ OTHERFLAGS="$OTHERFLAGS $arg"
+done
+
+function run () {
+ echo $*
+ $*
+ if [ x"$?" != x0 ]; then exit 1 ; fi
+}
+
+run $CC $OTHERFLAGS $CFLAGS -o $PROGRAM.o -c $PROGRAM.c
+run $CC $OFLAGS $LDFLAGS -o $PROGRAM.elf $PROGRAM.o
+run $OBJCOPY $OBJCOPYFLAGS $PROGRAM.elf $PROGRAM.hex
+run avr-size -C --mcu=$MCU $PROGRAM.elf | grep Full